{ config, ... }:
{
  age.secrets.jenkins.file = ../../secrets/personal/jenkins.age;
  services.jenkins = {
    enable = true;
    listenAddress = "localhost";
    port = 2423;
    jobBuilder = {
      enable = false; # Currently broken
      accessTokenFile = config.age.secrets.jenkins.path;
      nixJobs = [
        {
          job = {
            name = "echo";
            builders = [
              {
                shell = "echo 'Hello, world!'";
              }
            ];
          };
        }
      ];
    };
  };
}
